import { authInstance } from "@shared";
import { makeAutoObservable, runInAction } from "mobx";

type City = {
  id: number;
  name: string;
  country_code: string;
  country: string;
  arms?: string;
};

class CityStore {
  cities: City[] = [];

  constructor() {
    makeAutoObservable(this);
  }

  getCities = async () => {
    const response = await authInstance.get("/city");
    runInAction(() => {
      this.cities = response.data;
    });
  };
}

export const cityStore = new CityStore();
